ToolzerHub Docs

Get company summary (v1)

Returns a company's profile and officers, valuation and share statistics, margins, cash and debt, analyst ratings and price targets, and earnings history and estimates. data is null for an unknown ticker.

1 credit / requestBilled only on success
GET
/v1/yahoo-finance/summary

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

symbol*string

A Yahoo Finance ticker such as AAPL, BRK-B, RELIANCE.NS, ^GSPC, BTC-USD or EURUSD=X, or its finance.yahoo.com quote link. Find a ticker by company name with Search.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/yahoo-finance/summary?symbol=AAPL" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "symbol": "AAPL",    "name": "Apple Inc.",    "type": "EQUITY",    "exchange": "NasdaqGS",    "currency": "USD",    "market_state": "REGULAR",    "price": 343.09,    "change": 0,    "change_percent": -1.84,    "market_time": "2026-11-05T21:00:00Z",    "profile": {      "description": "string",      "sector": "Technology",      "industry": "Consumer Electronics",      "website": "https://www.apple.com",      "investor_relations_url": "string",      "phone": "string",      "address": "One Apple Park Way, MS 927-4GC",      "city": "Cupertino",      "state": "string",      "zip": "string",      "country": "United States",      "employees": 166000,      "officers": [        {          "name": "Mr. Timothy D. Cook",          "title": "CEO & Director",          "age": 0,          "year_born": 0,          "total_pay": 0        }      ]    },    "statistics": {      "market_cap": 0,      "enterprise_value": 0,      "trailing_pe": 0,      "forward_pe": 0,      "peg_ratio": 0,      "price_to_book": 0,      "price_to_sales": 0,      "enterprise_to_revenue": 0,      "enterprise_to_ebitda": 0,      "beta": 0,      "eps_trailing_12m": 0,      "eps_forward": 0,      "book_value_per_share": 0,      "shares_outstanding": 0,      "float_shares": 0,      "shares_short": 0,      "short_ratio": 0,      "short_percent_of_float": 0.91,      "insiders_percent": 1.7,      "institutions_percent": 64.6,      "fifty_two_week_high": 0,      "fifty_two_week_low": 0,      "fifty_two_week_change_percent": 29.5,      "fifty_day_average": 0,      "two_hundred_day_average": 0,      "average_volume": 0,      "dividend_rate": 0,      "dividend_yield_percent": 0.31,      "payout_ratio_percent": 11.8,      "ex_dividend_date": "2026-11-05T21:00:00Z",      "dividend_date": "2026-11-05T21:00:00Z",      "last_split_factor": "4:1",      "last_split_date": "2026-11-05T21:00:00Z",      "fiscal_year_end": "2026-11-05T21:00:00Z",      "most_recent_quarter": "2026-11-05T21:00:00Z",      "total_assets": 0,      "expense_ratio_percent": 0.09,      "ytd_return_percent": 14.2    },    "financials": {      "currency": "USD",      "total_revenue": 0,      "revenue_per_share": 0,      "revenue_growth_percent": 7.9,      "gross_profit": 0,      "ebitda": 0,      "net_income": 0,      "earnings_growth_percent": 12.1,      "gross_margin_percent": 46.9,      "operating_margin_percent": 31.6,      "ebitda_margin_percent": 34.7,      "profit_margin_percent": 27.6,      "return_on_assets_percent": 24.5,      "return_on_equity_percent": 151.9,      "total_cash": 0,      "total_cash_per_share": 0,      "total_debt": 0,      "debt_to_equity": 0,      "current_ratio": 0,      "quick_ratio": 0,      "operating_cash_flow": 0,      "free_cash_flow": 0    },    "analysts": {      "recommendation": "buy",      "recommendation_mean": 2.23,      "analyst_count": 38,      "target_high": 0,      "target_low": 0,      "target_mean": 0,      "target_median": 0,      "trend": [        {          "period": "0m",          "strong_buy": 0,          "buy": 0,          "hold": 0,          "sell": 0,          "strong_sell": 0        }      ]    },    "earnings": {      "next_earnings_at": "2026-11-05T21:00:00Z",      "next_earnings_is_estimate": true,      "eps_estimate": 0,      "eps_estimate_low": 0,      "eps_estimate_high": 0,      "revenue_estimate": 0,      "revenue_estimate_low": 0,      "revenue_estimate_high": 0,      "eps_history": [        {          "quarter": "3Q2026",          "fiscal_quarter": "4Q2026",          "period_end": "2026-11-05T21:00:00Z",          "reported_at": "2026-11-05T21:00:00Z",          "actual": 2.1,          "estimate": 1.99,          "surprise_percent": 5.75        }      ],      "quarterly": [        {          "period": "3Q2026",          "revenue": 0,          "earnings": 0        }      ],      "yearly": [        {          "period": "2025",          "revenue": 0,          "earnings": 0        }      ]    }  },  "details": {    "reason": "string",    "message": "string"  }}